Subject: Re: pull request: wireless 2011-12-15

From: Greg KH <[email-masked]>
Date: Tue, 3 Jan 2012 12:52:26 -0800

On Mon, Dec 26, 2011 at 12:36:59AM +0100, Rafał Miłecki wrote:
> W dniu 16 grudnia 2011 07:40 użytkownik Rafał Miłecki
> <[email-masked]> napisał:
> > W dniu 15 grudnia 2011 22:38 użytkownik John W. Linville
> > <[email-masked]> napisał:
> >> On Thu, Dec 15, 2011 at 09:04:29PM +0100, Rafał Miłecki wrote:
> >>> 2011/12/15 John W. Linville <[email-masked]>:
> >>> > commit 42a3b63bb2ca4996a3d1210a004eae2333f1119e
> >>> >
> >>> > Dave,
> >>> >
> >>> > Here are a few more fixes intended for the 3.2 release.  They are
> >>> > all small and narrowly focused.
> >>>
> >>> John, I've made a mistake and didn't use [PATCH 3.2] header to make it
> >>> clean my patch is fix. Could you take a look at
> >>> [PATCH] bcma: support for suspend and resume
> >>> please?
> >>>
> >>> It's not one-liner, but fixes lock ups, which I believe - we really
> >>> want to avoid.
> >>
> >> It's late in the release cycle, and Dave specifically asked me to slow down.
> >>
> >> Are these suspend/resume lockups a regression?  Or have they always
> >> been there?  Do they happen to everyone?
> >
> > The bug is present since first days of bcma. That's why I even decided
> > to add stable to CC.
> >
> > Personally I've tested that only on 1 machine (I don't have more
> > suspendable machines with mini PCIe slot). However all Macbook 8.1/8.2
> > users have to remove b43 & bcma before suspending [0], they complain
> > about that since ever.
> >
> > Arend: I know you're also complaining for suspend in bcma. Can you
> > comment on this?
> >
> > [0] http://ubuntuforums.org/showthread.php?t=1695746
> 
> User nephyrin on #bcm-users has confirmed this patch fixes
> suspend&resume for him. Without this patch he got deadlock without
> seeing any kernel panic logs - quite an ugly case.
> 
> I still think this patch may be worth taking as fix and backporting too.

What patch specifically?  What is the git commit id of it in Linus's
tree?  Without that information, telling stable@ about it is
pointless...

greg k-h